Home » RDBMS Server » Networking and Gateways » ORA-12508
ORA-12508 [message #224624] Wed, 14 March 2007 15:46 Go to next message
moody1
Messages: 15
Registered: March 2007
Junior Member
I am receiving a bunch of ORA-12508 on my listener log for Oracle version 8.0.6. The error occurs during the command "establish". Any ideas?
Re: ORA-12508 [message #224625 is a reply to message #224624] Wed, 14 March 2007 15:54 Go to previous messageGo to next message
BlackSwan
Messages: 25039
Registered: January 2009
Location: SoCal
Senior Member
12508, 00000, "TNS:listener could not resolve the COMMAND given"
// *Cause: The COMMAND given to listener is not supported.
// *Action: This is not seen in normal use of Oracle Net.
// *Comment: Check the COMMAND given to listener. This error is probably
// caused by incompatible Oracle Net or Net8 versions.
// Do not include in error manual.
Re: ORA-12508 [message #224772 is a reply to message #224625] Thu, 15 March 2007 07:36 Go to previous messageGo to next message
moody1
Messages: 15
Registered: March 2007
Junior Member
I'm aware of what it means:
12508, 00000, "TNS:listener could not resolve the COMMAND given"
// *Cause: The COMMAND given to listener is not supported.
// *Action: This is not seen in normal use of Oracle Net.
// *Comment: Check the COMMAND given to listener. This error is probably
// caused by incompatible Oracle Net or Net8 versions.
// Do not include in error manual.

I was just wondering how to fix it. The command given is "establish". Any ideas?
Re: ORA-12508 [message #224797 is a reply to message #224624] Thu, 15 March 2007 09:20 Go to previous messageGo to next message
BlackSwan
Messages: 25039
Registered: January 2009
Location: SoCal
Senior Member
>Any ideas?
Maybe "establish" is NOT valid for V8.0.6 which has NOT been supported for at least one decade.
What business problem are you trying to solve & why haven't you upgraded to something that is SQL*Net compliant with today's releases?
Re: ORA-12508 [message #224803 is a reply to message #224797] Thu, 15 March 2007 09:30 Go to previous message
moody1
Messages: 15
Registered: March 2007
Junior Member
I realize that 8.0.6 hasn't been supported for a very long time.

There isn't a "business problem" Other connections on the same box that use "establish" are successful. It appears to be a hit and miss type of thing. Different ports, different IP's.


I just started with this company as a consultant. The listener log started getting the TNS-12508 messages and I was trying to figure out the problem.

Convincing the powers that be that an upgrade is necessary is a long and tedious process, however it is in the works.
Previous Topic: tns-12535 tns:operation time out
Next Topic: forms
Goto Forum:
  


Current Time: Tue Dec 06 04:52:17 CST 2016

Total time taken to generate the page: 0.05638 seconds